class LinuxHeadersAT516 < Formula
  desc "Header files of the Linux kernel"
  homepage "https://kernel.org/"
  url "https://cdn.kernel.org/pub/linux/kernel/v5.x/linux-5.16.20.tar.gz"
  sha256 "3fa593807c25d772f3b876ccdb9c4a073f06dce7d5e934ef8ecd0de73b87fd1a"
  license "GPL-2.0-only"

  keg_only :versioned_formula

  depends_on "rsync" => :build
  depends_on :linux

  def install
    system "make", "headers_install", "INSTALL_HDR_PATH=#{prefix}"
    rm Dir[prefix/"**/{.install,..install.cmd}"]
  end

  test do
    assert_match "KERNEL_VERSION", File.read(include/"linux/version.h")
  end
end
